/**
 * <copyright>
 * </copyright>
 *
 * $Id: TransformationStepValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.transformation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.transformation.TransformationTask;

import orgomg.cwm.management.warehouseoperation.StepExecution;

import orgomg.cwm.management.warehouseprocess.WarehouseStep;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.transformation.TransformationStep}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TransformationStepValidator {
	boolean validate();

	boolean validateTask(TransformationTask value);
	boolean validateWarehouseStep(EList<WarehouseStep> value);
	boolean validateExecution(EList<StepExecution> value);
}
